<?php

namespace App\Console\Commands;

use App\Models\Payment;
use App\Models\Driver;
use Illuminate\Console\Command;
use Carbon\Carbon;
use DB;

class GenerateWeeks extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'generate:weeks';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Command description';

    /**
     * Execute the console command.
     */
    public function handle()
    {
        //
        $year = Carbon::now()->year;
        $weeksInYear = Carbon::now()->isoWeeksInYear;

        $drivers = Driver::all();

        foreach ($drivers as $driver) {
            for ($week = 1; $week <= $weeksInYear; $week++) {
                $payment = new Payment();
                $payment->week = $week;
                $payment->year = $year;
                $payment->driver_id = $driver->id;
                $payment->save();
            }
        }

        $this->info("Weeks for {$year} have been generated.");
    }
}
