<?php

namespace App\Models;

use Carbon\Carbon;
use Illuminate\Database\Eloquent\Model;

class Driver extends Model
{
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'drivers';

    /**
     * The primary key associated with the table.
     *
     * @var string
     */
    protected $primaryKey = 'id';

    public function notes()
    {
        return $this->hasMany(DriverNote::class, "driver_id");
    }

    public function getstats($id)
    {
        $driver = Driver::where('id', $id)->first();
        $histories_sub = History::where('driver_id', $id)->where('payment', 0)->get();
        // dd($histories_sub);
        $year = Carbon::now()->year;

        $payments = Payment::where('year', $year)->where('driver_id', $driver->id)->get();
        $driver_sum = $driver->deposits + $driver->damages + $driver->fines + $driver->arc + $driver->loans + $driver->offhire + $driver->week_deficit + $driver->old_exit + $driver->insurance_excess;
        $payments_sum = $payments->sum('deposits') + $payments->sum('damages') + $payments->sum('fines') + $payments->sum('arc') + $payments->sum('loans') + $payments->sum('offhire') + $payments->sum('week_deficit') + $payments->sum('old_exit') + $payments->sum('insurance_excess');
        $return_sum = $histories_sub->sum('amount');

        return ['driver_sum'=>$driver_sum,'payments_sum'=>$payments_sum,'return_sum'=>$return_sum];
    }

}
