@extends('layouts.app')
@section('content')
    <div class="page-content-wrapper">
        <div class="page-content">
            <div class="page-bar">
                <div class="page-title-breadcrumb">
                    <div class=" pull-left">
                        <div class="page-title">Drivers Notes </div>
                    </div>
                    <ol class="breadcrumb page-breadcrumb pull-right">
                        <li><i class="fa fa-home"></i>&nbsp;<a class="parent-item" href="index.html">Dashboard</a>&nbsp;<i
                                class="fa fa-angle-right"></i> </li>
                        <li class="active">Driver Profile</li>
                    </ol>
                </div>
            </div>

            <div class="row">
                <div class="col-md-12">
                    <!-- BEGIN PROFILE SIDEBAR -->
                    <div class="profile-sidebar">
                        <div class="card">
                            <div class="card-body no-padding height-9">
                                <div class="row">
                                    <div class="profile-userpic">
                                        <img src="{{ Storage::url($driver->image) }}" class="img-responsive" alt="">
                                    </div>
                                </div>
                                <div class="profile-usertitle">
                                    <div class="profile-usertitle-name">{{ $driver->fullname }}</div>
                                    @if ($driver->status == 1)
                                        <button type="button" class="btn btn-circle btn-success btn-sm"
                                            data-bs-toggle="modal" data-bs-target="#exampleModalCenter">Active</button>
                                    @else
                                        <button type="button" class="btn btn-circle btn-danger btn-sm"
                                            data-bs-toggle="modal" data-bs-target="#exampleModalCenter">InActive</button>
                                    @endif
                                </div>
                                <ul class="list-group list-group-unbordered mt-5">
                                    <li class="list-group-item">
                                        <b>Total</b> <a class="pull-right">
                                            <?php $driver_sum = $driver->sum('deposits') + $driver->sum('damages') + $driver->sum('fines') + $driver->sum('arc') + $driver->sum('loans') + $driver->sum('offhire') + $driver->sum('week_deficit') + $driver->sum('old_exit') + $driver->sum('insurance_excess'); ?>
                                            {{ $driver_sum }}
                                        </a>
                                    </li>
                                    <li class="list-group-item">
                                        <b>Paid</b> <a class="pull-right">
                                            <?php $payments_sum = $payments->sum('deposits') + $payments->sum('damages') + $payments->sum('fines') + $payments->sum('arc') + $payments->sum('loans') + $payments->sum('offhire') + $payments->sum('week_deficit') + $payments->sum('old_exit') + $payments->sum('insurance_excess'); ?>
                                            {{ $payments_sum }}
                                        </a>
                                    </li>
                                    <li class="list-group-item">
                                        <b>Outstanding</b> <a class="pull-right">{{ $driver_sum - $payments_sum }}</a>
                                    </li>
                                    <li class="list-group-item">
                                        <b>Return to Driver</b> <a
                                            class="pull-right">{{ $histories_sub->sum('amount') }}</a>
                                    </li>
                                </ul>
                                <!-- END SIDEBAR USER TITLE -->
                                <!-- SIDEBAR BUTTONS -->
                                <div class="profile-userbuttons">


                                </div>
                                <!-- END SIDEBAR BUTTONS -->
                            </div>
                        </div>


                    </div>
                    <!-- END BEGIN PROFILE SIDEBAR -->
                    <!-- BEGIN PROFILE CONTENT -->
                    <div class="profile-content">
                        <div class="row">
                            <div class="card">
                                <div class="white-box">
                                    <!-- Nav tabs -->
                                    <div class="p-rl-20">
                                        <ul class="nav customtab nav-tabs" role="tablist">
                                            <li class="nav-item"><a href="#tab1" class="nav-link active"
                                                    data-bs-toggle="tab">Add Notes</a></li>
                                            <li class="nav-item"><a href="#tab2" class="nav-link"
                                                    data-bs-toggle="tab">View Note History</a></li>
                                        </ul>
                                    </div>
                                    <!-- Tab panes -->
                                    <div class="tab-content mt-3">
                                        <div class="tab-pane fontawesome-demo active" id="tab1">

                                            <div class="row">


                                                <form class="form-horizontal" method="POST"
                                                    action="{{ route('submitdrivernote') }}" enctype="multipart/form-data">
                                                    <div class="form-group mb-0 row">
                                                        @csrf
                                                        <input type="hidden" name="driver_id" value="{{$driver->id}}">
                                                        <h3><strong> Add Notes</strong></h3>
                                                        <div class="form-group">
                                                            <label class="" for=""><strong>Enter Note</strong>
                                                                (max 500 characters)</label>
                                                            <textarea name="note" placeholder="Enter Note" class="form-control-textarea" rows="4"></textarea>
                                                        </div>
                                                        <div class="form-group">
                                                            <label class=" mt-2"
                                                                for=""><strong>Attachments</strong></label>
                                                            <input type="file" name="file" class="form-control"
                                                                id="" placeholder="enter value">

                                                        </div>
                                                        <div class="form-group">
                                                            <div class="col-md-12">
                                                                <button type="submit"
                                                                    class="btn btn-info m-r-10">Submit</button>
                                                                <button type="button"
                                                                    class="btn btn-default">Cancel</button>
                                                            </div>
                                                        </div>


                                                    </div>
                                                </form>
                                            </div>


                                        </div>
                                        <div class="tab-pane" id="tab2">
                                            <div class="container-fluid">
                                                <div class="row">

                                                    <div class="full-width p-rl-20">
                                                        <ul class="activity-list">
                                                            @foreach($notes as $note)
                                                            <li>
                                                                <div class="activity-desk">
                                                                    <h5><a href="#"></a> <span>{{$note->created_at}}</span></h5>
                                                                    <p class="text-muted">
                                                                        {{$note->note}}
                                                                    </p>
                                                                    <div class="album">
                                                                        <a href="{{ Storage::url($note->file)}}">
                                                                            {{$note->file}}
                                                                        </a>
                                                                    </div>
                                                                </div>
                                                            </li>
                                                            @endforeach

                                                        </ul>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- END PROFILE CONTENT -->
                    </div>
                </div>
            </div>

            <!-- end admited patient list -->
        </div>
    </div>
@endsection
