@extends('layouts.app')
@section('content')
    <div class="page-content-wrapper">
        <div class="page-content">
            <div class="page-bar">
                <div class="page-title-breadcrumb">
                    <div class=" pull-left">
                        <div class="page-title">{{ $driver->fullname }}
                            @if ($driver->status == 1)
                                <button type="button" class="btn btn-circle btn-success mt-2 btn-sm m-b-10">Active</button>
                            @else
                                <button type="button" class="btn btn-circle btn-danger mt-2 btn-sm m-b-10">InActive</button>
                            @endif
                        </div>
                    </div>
                    <ol class="breadcrumb page-breadcrumb pull-right">
                        <li><i class="fa fa-home"></i>&nbsp;<a class="parent-item" href="{{ route('home')}}">Dashboard</a>&nbsp;<i
                                class="fa fa-angle-right"></i> </li>
                        <li class="active">Driver Profile</li>
                    </ol>
                </div>
            </div>
            <div class="row">
                <div class="col-md-10 col-sm-10 col-xs-10">
                    {{-- <div class="col-md-2 float-start mr-2">
              <div class="dataTables_length" id="tableGroup_length">
                <label class="float-start">Entries </label>
                <select name="tableGroup_length" aria-controls="tableGroup" class="bg-white form-control form-control-sm float-start width-50" style="margin-left: 10px">
                  <option value="10">10</option>
                  <option value="25">25</option>
                  <option value="50">50</option>
                  <option value="100">100</option>
                </select>
              </div>
            </div> --}}
                    <div class="col-md-3 float-start mr-2">
                        <div class="btn-group ">
                            <button class="btn btn-primary btn-sm margin-right-10">Year</button>
                            <select class="form-control" style="background: #fff">
                                <option value="2024">2024</option>
                            </select>

                        </div>
                    </div>
                    <div class="col-md-3  float-start">
                        <div class="btn-group ">
                            <button class="btn btn-primary btn-sm margin-right-10">Week</button>
                        <select class="form-control" style="background: #fff">
                            <option>All</option>
                            @for($week = 1; $week <= $weeksInYear; $week++)
                                <option value="{{$week}}">WK,{{$week}}</option>
                                @endfor
                            </select>
                        </div>
                    </div>
                </div>
                <div class="col-md-2 col-sm-2 col-xs-2">
                    <a href="{{ route('notes_driver', $driver->id) }}">
                        <button type="submit" class="btn btn-round btn-primary">View Notes</button>
                    </a>

                    <div class="btn-group pull-right"> <a class="btn deepPink-bgcolor btn-outline dropdown-toggle"
                            data-bs-toggle="dropdown" aria-expanded="false">Tools <i class="fa fa-angle-down"></i> </a>
                        <ul class="dropdown-menu pull-right" style="margin: 0px;">
                            <li> <a href="javascript:;"> <i class="fa fa-print"></i> Print </a> </li>
                            <li> <a href="javascript:;"> <i class="fa fa-file-pdf-o"></i> Save as PDF </a> </li>
                            <li> <a href="javascript:;"> <i class="fa fa-file-excel-o"></i> Export to Excel </a> </li>
                        </ul>
                    </div>

                </div>
            </div>
            <div class="row mt-3">
                <div class="col-md-12 col-sm-12">
                    <div class="card ">
                        <div class="card-body ">
                            <div class="table-wrap">
                                <div class="table-responsive">
                                    <table class="table display product-overview mb-30" id="tableGroupexp">
                                        <thead>
                                            <tr>
                                                <th>No</th>
                                                <th width="13%">Dates/Weeks</th>
                                                <th>Deposits Paid</th>
                                                <th>Damages</th>
                                                <th>Fines</th>
                                                <th>ARC</th>
                                                <th>Loans</th>
                                                <th>Offhire Charges</th>
                                                <th>Week Deficit</th>
                                                <th>Old Exit</th>
                                                <th>Insurance Excess</th>
                                                <th>Total</th>
                                                <th>Paid</th>
                                                <th>Outstanding</th>
                                                <th>Action</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr style="background: #95FFB8; ">
                                                <td>1</td>
                                                <td style="font-size: 15px"><strong>Total</strong></td>
                                                <td>&pound;{{ $driver->deposits }}</td>
                                                <td>&pound;{{ $driver->damages }}</td>
                                                <td>&pound;{{ $driver->fines }}</td>
                                                <td>&pound;{{ $driver->arc }}</td>
                                                <td>&pound;{{ $driver->loans }}</td>
                                                <td>&pound;{{ $driver->offhire }}</td>
                                                <td>&pound;{{ $driver->week_deficit }}</td>
                                                <td>&pound;{{ $driver->old_exit }}</td>
                                                <td>&pound;{{ $driver->insurance_excess }}</td>
                                                <td><span class="label label-sm label-primary">&pound;

                                                        <?php $driver_sum = $driver->deposits + $driver->damages + $driver->fines + $driver->arc + $driver->loans + $driver->offhire + $driver->week_deficit + $driver->old_exit + $driver->insurance_excess; ?>
                                                        {{ $driver_sum }}
                                                    </span></td>
                                                <td></td>
                                                <td></td>
                                                <td><a href="javascript:void(0)" class="" data-bs-toggle="modal"
                                                        data-bs-target="#largeModel"><i class="fa fa-plus"></i></a> &nbsp;
                                                    <a href="javascript:void(0)" class="" data-bs-toggle="modal"
                                                        data-bs-target="#largeModel_history"><i
                                                            class="fa fa-history"></i></a>
                                                </td>
                                            </tr>
                                            <tr style="background:#89dbfd">
                                                <td>2</td>
                                                <td style="font-size: 15px"><strong>Paid</strong></td>
                                                <td>&pound;{{ $payments->sum('deposits') }}</td>
                                                <td>&pound;{{ $payments->sum('damages') }}</td>
                                                <td>&pound;{{ $payments->sum('fines') }}</td>
                                                <td>&pound;{{ $payments->sum('arc') }}</td>
                                                <td>&pound;{{ $payments->sum('loans') }}</td>
                                                <td>&pound;{{ $payments->sum('offhire') }}</td>
                                                <td>&pound;{{ $payments->sum('week_deficit') }}</td>
                                                <td>&pound;{{ $payments->sum('old_exit') }}</td>
                                                <td>&pound;{{ $payments->sum('insurance_excess') }}</td>
                                                <td><span class="label label-sm label-primary">&pound;

                                                        <?php $payments_sum = $payments->sum('deposits') + $payments->sum('damages') + $payments->sum('fines') + $payments->sum('arc') + $payments->sum('loans') + $payments->sum('offhire') + $payments->sum('week_deficit') + $payments->sum('old_exit') + $payments->sum('insurance_excess'); ?>
                                                        {{ $payments_sum }}
                                                    </span></td>
                                                <td></td>
                                                <td></td>
                                                <td></td>
                                            </tr>
                                            <tr style="background:#ffe0e0">
                                                <td>3</td>
                                                <td style="font-size: 15px"><strong>OutStanding</strong></td>
                                                <td>&pound;{{ $driver->deposits - $payments->sum('deposits') }}</td>
                                                <td>&pound;{{ $driver->damages - $payments->sum('damages') }}</td>
                                                <td>&pound;{{ $driver->fines - $payments->sum('fines') }}</td>
                                                <td>&pound;{{ $driver->arc - $payments->sum('arc') }}</td>
                                                <td>&pound;{{ $driver->loans - $payments->sum('loans') }}</td>
                                                <td>&pound;{{ $driver->offhire - $payments->sum('offhire') }}</td>
                                                <td>&pound;{{ $driver->week_deficit - $payments->sum('week_deficit') }}
                                                </td>
                                                <td>&pound;{{ $driver->old_exit - $payments->sum('old_exit') }}</td>
                                                <td>&pound;{{ $driver->insurance_excess - $payments->sum('insurance_excess') }}
                                                </td>
                                                <td><span class="label label-sm label-primary">&pound;
                                                        {{ $driver_sum - $payments_sum }}
                                                    </span></td>
                                                <td></td>
                                                <td></td>
                                                <td></td>
                                            </tr>
                                            <tr style="background:#fcffca">
                                                <td>4</td>
                                                <td style="font-size: 15px"><strong>Return To Driver</strong></td>
                                                <td>&pound;{{ $histories_sub->where('type', 'deposits')->sum('amount') }}
                                                </td>
                                                <td>&pound;{{ $histories_sub->where('type', 'damages')->sum('amount') }}
                                                </td>
                                                <td>&pound;{{ $histories_sub->where('type', 'fines')->sum('amount') }}</td>
                                                <td>&pound;{{ $histories_sub->where('type', 'arc')->sum('amount') }}</td>
                                                <td>&pound;{{ $histories_sub->where('type', 'loans')->sum('amount') }}</td>
                                                <td>&pound;{{ $histories_sub->where('type', 'offhire')->sum('amount') }}
                                                </td>
                                                <td>&pound;{{ $histories_sub->where('type', 'week_deficit')->sum('amount') }}
                                                </td>
                                                <td>&pound;{{ $histories_sub->where('type', 'old_exit')->sum('amount') }}
                                                </td>
                                                <td>&pound;{{ $histories_sub->where('type', 'insurance_excess')->sum('amount') }}
                                                </td>
                                                <td><span
                                                        class="label label-sm label-primary">&pound;{{ $histories_sub->sum('amount') }}</span>
                                                </td>
                                                <td></td>
                                                <td></td>
                                                <td> <a href="javascript:void(0)" class="" data-bs-toggle="modal"
                                                        data-bs-target="#largeModel_return"><i class="fa fa-minus"></i></a>
                                                </td>
                                            </tr>
                                            @foreach ($payments as $payment)
                                                @if ($payment->status == 0)
                                                    <form method="post" action="{{ route('add.weekdata') }}">
                                                        <tr style="border-top: #c5c5c5 3px solid">
                                                            <input type="hidden" name="id"
                                                                value="{{ $payment->id }}">
                                                            <td>{{ $loop->iteration }}</td>
                                                            <td><strong>WK{{ $payment->week }},
                                                                    {{ $payment->year }}</strong>
                                                            </td>
                                                            <td><input name="deposits" type="number" class="form-control"
                                                                    placeholder="Add"></td>
                                                            <td><input name="damages" type="number" class="form-control"
                                                                    placeholder="Add"></td>
                                                            <td><input name="fines" type="number" class="form-control"
                                                                    placeholder="Add"></td>
                                                            <td><input name="arc" type="number" class="form-control"
                                                                    placeholder="Add"></td>
                                                            <td><input name="loans" type="number" class="form-control"
                                                                    placeholder="Add"></td>
                                                            <td><input name="offhire" type="number" class="form-control"
                                                                    placeholder="Add"></td>
                                                            <td><input name="week_deficit" type="number"
                                                                    class="form-control" placeholder="Add"></td>
                                                            <td><input name="old_exit" type="number"
                                                                    class="form-control" placeholder="Add"></td>
                                                            <td><input name="insurance_excess" type="number"
                                                                    class="form-control" placeholder="Add"></td>
                                                            <td><span class="label label-sm label-primary">&pound;0</span>
                                                            </td>
                                                            <td><span class="label label-sm label-success">&pound;0</span>
                                                            </td>
                                                            <td><span class="label label-sm label-danger">&pound;0</span>
                                                            </td>
                                                            <td>
                                                                @if ($payment->status == 0)
                                                                    <button type="submit" class=""
                                                                        data-bs-toggle="tooltip" title="Add"><i
                                                                            class="fa fa-save"></i></button>
                                                                @endif
                                                            </td>
                                                        </tr>
                                                        @csrf
                                                    </form>
                                                @else
                                                    <tr>
                                                        <td>{{ $loop->iteration }}</td>
                                                        <td><strong>WK{{ $payment->week }},{{ $payment->year }}</strong>
                                                        </td>
                                                        <td>&pound;{{ $payment->deposits }}</td>
                                                        <td>&pound;{{ $payment->damages }}</td>
                                                        <td>&pound;{{ $payment->fines }}</td>
                                                        <td>&pound;{{ $payment->arc }}</td>
                                                        <td>&pound;{{ $payment->loans }}</td>
                                                        <td>&pound;{{ $payment->offhire }}</td>
                                                        <td>&pound;{{ $payment->week_deficit }}</td>
                                                        <td>&pound;{{ $payment->old_exit }}</td>
                                                        <td>&pound;{{ $payment->insurance_excess }}</td>
                                                        <td><span class="label label-sm label-primary">&pound;

                                                                {{ $payment->deposits +
                                                                    $payment->damages +
                                                                    $payment->fines +
                                                                    $payment->arc +
                                                                    $payment->loans +
                                                                    $payment->offhire +
                                                                    $payment->week_deficit +
                                                                    $payment->old_exit +
                                                                    $payment->insurance_excess }}

                                                            </span></td>
                                                        <td><span
                                                                class="label label-sm label-success">&pound;{{ $payments_sum }}</span>
                                                        </td>
                                                        <td><span
                                                                class="label label-sm label-danger">&pound;{{ $driver_sum - $payments_sum }}</span>
                                                        </td>
                                                        <td></td>
                                                    </tr>
                                                @endif
                                            @endforeach
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            {{-- <div class="row">
                <div class="col-sm-12 col-md-5">
                    <div class="dataTables_info" id="example1_info" role="status" aria-live="polite">Showing 1 to 10 of
                        57 entries</div>
                </div>
                <div class="col-sm-12 col-md-7">
                    <div class="dataTables_paginate paging_simple_numbers" id="example1_paginate">
                        <ul class="pagination">
                            <li class="paginate_button page-item previous disabled" id="example1_previous"><a
                                    href="#" aria-controls="example1" data-dt-idx="0" tabindex="0"
                                    class="page-link">Previous</a></li>
                            <li class="paginate_button page-item active"><a href="#" aria-controls="example1"
                                    data-dt-idx="1" tabindex="0" class="page-link">1</a></li>
                            <li class="paginate_button page-item "><a href="#" aria-controls="example1"
                                    data-dt-idx="2" tabindex="0" class="page-link">2</a></li>
                            <li class="paginate_button page-item "><a href="#" aria-controls="example1"
                                    data-dt-idx="3" tabindex="0" class="page-link">3</a></li>
                            <li class="paginate_button page-item "><a href="#" aria-controls="example1"
                                    data-dt-idx="4" tabindex="0" class="page-link">4</a></li>
                            <li class="paginate_button page-item "><a href="#" aria-controls="example1"
                                    data-dt-idx="5" tabindex="0" class="page-link">5</a></li>
                            <li class="paginate_button page-item "><a href="#" aria-controls="example1"
                                    data-dt-idx="6" tabindex="0" class="page-link">6</a></li>
                            <li class="paginate_button page-item next" id="example1_next"><a href="#"
                                    aria-controls="example1" data-dt-idx="7" tabindex="0" class="page-link">Next</a>
                            </li>
                        </ul>
                    </div>
                </div>
            </div> --}}
            <!-- end admited patient list -->
        </div>
    </div>

    <div class="modal fade" id="largeModel" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
        aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title" id="exampleModalLabel">Add Values</h4>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="panel tab-border">
                        <header class="panel-heading custom-tab ">
                            <ul class="nav nav-tabs mb-0">
                                <li class="nav-item"><a href="#deposit" data-bs-toggle="tab" class="active">Deposit</a>
                                </li>
                                <li class="nav-item"><a href="#damage" data-bs-toggle="tab" class="">Damages</a>
                                </li>
                                <li class="nav-item"><a href="#fine" data-bs-toggle="tab" class="">Fines</a>
                                </li>
                                <li class="nav-item"><a href="#arc" data-bs-toggle="tab">ARC</a> </li>
                                <li class="nav-item"><a href="#loan" data-bs-toggle="tab">Loan</a> </li>
                                <li class="nav-item"><a href="#offhire" data-bs-toggle="tab">Offhire Charges</a> </li>
                                <li class="nav-item"><a href="#deficit" data-bs-toggle="tab">Week Deficit</a> </li>
                                <li class="nav-item"><a href="#exit" data-bs-toggle="tab">Old Exit</a> </li>
                                <li class="nav-item"><a href="#ins-excess" data-bs-toggle="tab">Insurance Excess</a>
                                </li>
                            </ul>
                        </header>
                        <div class="panel-body mt-0 pt-0">
                            <div class="tab-content">
                                <div class="tab-pane active" id="deposit">

                                    <form class="form-horizontal" method="POST"
                                        action="{{ route('submitdriverpayment') }}" enctype="multipart/form-data">
                                        @csrf
                                        <input type="hidden" name="field" value="deposits">
                                        <input type="hidden" name="driver_id" value="{{ $driver->id }}">
                                        <div class="form-group mb-0 row">
                                            <div class="col-md-8 float-start">
                                                <div class="form-group">
                                                    <label><strong>Deposit</strong></label>
                                                    <input type="number" class="form-control" id=""
                                                        placeholder="enter value" name="values">
                                                </div>
                                                <div class="form-group">
                                                    <label for=""><strong>Reason</strong> (max 500
                                                        characters)</label>
                                                    <textarea name="reason" placeholder="Enter Deposit Reason" class="form-control-textarea" rows="4"></textarea>
                                                </div>
                                                <div class="form-group">
                                                    <label class="mt-2"><strong>Attachments</strong></label>
                                                    <input type="file" class="form-control attachments" multiple
                                                        name="attachments[]">


                                                </div>
                                                <div class="form-group">
                                                    <div class="col-md-12">
                                                        <button type="submit" class="btn btn-info m-r-10">Submit</button>
                                                        <button type="button" class="btn btn-default">Cancel</button>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-4 float-start">
                                                <div class="card">
                                                    <div class="card-head">
                                                        <header>Current Stats</header>
                                                    </div>
                                                    <div class="card-body p-0 height-9">
                                                        <div class="row list-separated profile-stat">
                                                            <div class="col-md-12 col-sm-12 col-xs-12">
                                                                <div class="uppercase profile-stat-title">
                                                                    {{ $driver->updated_at }}
                                                                </div>
                                                                <div class="uppercase profile-stat-text"> Last Edited on
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <ul class="list-group list-group-unbordered p-2">
                                                            <li class="list-group-item"> <b>Total </b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $driver_sum }}</div>
                                                            </li>
                                                            <li class="list-group-item"> <b>Paid </b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $payments_sum }}</div>
                                                            </li>
                                                            <li class="list-group-item"> <b>Outstanding</b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $driver_sum - $payments_sum }}</div>
                                                            </li>
                                                            <li class="list-group-item"> <b>Return</b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $histories_sub->sum('amount') }}</div>
                                                            </li>
                                                        </ul>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </form>

                                </div>
                                <div class="tab-pane" id="damage">

                                    <form class="form-horizontal" method="POST"
                                        action="{{ route('submitdriverpayment') }}" enctype="multipart/form-data">
                                        @csrf
                                        <input type="hidden" name="field" value="damages">
                                        <input type="hidden" name="driver_id" value="{{ $driver->id }}">
                                        <div class="form-group mb-0 row">
                                            <div class="col-md-8 float-start">
                                                <div class="form-group">
                                                    <label><strong>Damages</strong></label>
                                                    <input type="number" class="form-control" id=""
                                                        placeholder="enter value" name="values">
                                                </div>
                                                <div class="form-group">
                                                    <label for=""><strong>Reason</strong> (max 500
                                                        characters)</label>
                                                    <textarea name="reason" placeholder="Enter Damages Reason" class="form-control-textarea" rows="4"></textarea>
                                                </div>
                                                <div class="form-group">
                                                    <label class="mt-2"><strong>Attachments</strong></label>
                                                    <input type="file" class="form-control attachments" multiple
                                                        name="attachments[]">


                                                </div>
                                                <div class="form-group">
                                                    <div class="col-md-12">
                                                        <button type="submit" class="btn btn-info m-r-10">Submit</button>
                                                        <button type="button" class="btn btn-default">Cancel</button>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-4 float-start">
                                                <div class="card">
                                                    <div class="card-head">
                                                        <header>Current Stats</header>
                                                    </div>
                                                    <div class="card-body p-0 height-9">
                                                        <div class="row list-separated profile-stat">
                                                            <div class="col-md-12 col-sm-12 col-xs-12">
                                                                <div class="uppercase profile-stat-title">
                                                                    {{ $driver->updated_at }}
                                                                </div>
                                                                <div class="uppercase profile-stat-text"> Last Edited on
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <ul class="list-group list-group-unbordered p-2">
                                                            <li class="list-group-item"> <b>Total </b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $driver_sum }}</div>
                                                            </li>
                                                            <li class="list-group-item"> <b>Paid </b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $payments_sum }}</div>
                                                            </li>
                                                            <li class="list-group-item"> <b>Outstanding</b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $driver_sum - $payments_sum }}</div>
                                                            </li>
                                                            <li class="list-group-item"> <b>Return</b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $histories_sub->sum('amount') }}</div>
                                                            </li>
                                                        </ul>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </form>

                                </div>
                                <div class="tab-pane" id="fine">
                                    <form class="form-horizontal" method="POST"
                                        action="{{ route('submitdriverpayment') }}" enctype="multipart/form-data">
                                        @csrf
                                        <input type="hidden" name="field" value="fines">
                                        <input type="hidden" name="driver_id" value="{{ $driver->id }}">
                                        <div class="form-group mb-0 row">
                                            <div class="col-md-8 float-start">
                                                <div class="form-group">
                                                    <label><strong>Fines</strong></label>
                                                    <input type="number" class="form-control" id=""
                                                        placeholder="enter value" name="values">
                                                </div>
                                                <div class="form-group">
                                                    <label for=""><strong>Reason</strong> (max 500
                                                        characters)</label>
                                                    <textarea name="reason" placeholder="Enter Fines Reason" class="form-control-textarea" rows="4"></textarea>
                                                </div>
                                                <div class="form-group">
                                                    <label class="mt-2"><strong>Attachments</strong></label>
                                                    <input type="file" class="form-control attachments" multiple
                                                        name="attachments[]">


                                                </div>
                                                <div class="form-group">
                                                    <div class="col-md-12">
                                                        <button type="submit" class="btn btn-info m-r-10">Submit</button>
                                                        <button type="button" class="btn btn-default">Cancel</button>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-4 float-start">
                                                <div class="card">
                                                    <div class="card-head">
                                                        <header>Current Stats</header>
                                                    </div>
                                                    <div class="card-body p-0 height-9">
                                                        <div class="row list-separated profile-stat">
                                                            <div class="col-md-12 col-sm-12 col-xs-12">
                                                                <div class="uppercase profile-stat-title">
                                                                    {{ $driver->updated_at }}
                                                                </div>
                                                                <div class="uppercase profile-stat-text"> Last Edited on
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <ul class="list-group list-group-unbordered p-2">
                                                            <li class="list-group-item"> <b>Total </b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $driver_sum }}</div>
                                                            </li>
                                                            <li class="list-group-item"> <b>Paid </b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $payments_sum }}</div>
                                                            </li>
                                                            <li class="list-group-item"> <b>Outstanding</b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $driver_sum - $payments_sum }}</div>
                                                            </li>
                                                            <li class="list-group-item"> <b>Return</b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $histories_sub->sum('amount') }}</div>
                                                            </li>
                                                        </ul>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                                <div class="tab-pane " id="arc">
                                    <form class="form-horizontal" method="POST"
                                        action="{{ route('submitdriverpayment') }}" enctype="multipart/form-data">
                                        @csrf
                                        <input type="hidden" name="field" value="arc">
                                        <input type="hidden" name="driver_id" value="{{ $driver->id }}">
                                        <div class="form-group mb-0 row">
                                            <div class="col-md-8 float-start">
                                                <div class="form-group">
                                                    <label><strong>Arc</strong></label>
                                                    <input type="number" class="form-control" id=""
                                                        placeholder="enter value" name="values">
                                                </div>
                                                <div class="form-group">
                                                    <label for=""><strong>Reason</strong> (max 500
                                                        characters)</label>
                                                    <textarea name="reason" placeholder="Enter Arc Reason" class="form-control-textarea" rows="4"></textarea>
                                                </div>
                                                <div class="form-group">
                                                    <label class="mt-2"><strong>Attachments</strong></label>
                                                    <input type="file" class="form-control attachments" multiple
                                                        name="attachments[]">


                                                </div>
                                                <div class="form-group">
                                                    <div class="col-md-12">
                                                        <button type="submit" class="btn btn-info m-r-10">Submit</button>
                                                        <button type="button" class="btn btn-default">Cancel</button>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-4 float-start">
                                                <div class="card">
                                                    <div class="card-head">
                                                        <header>Current Stats</header>
                                                    </div>
                                                    <div class="card-body p-0 height-9">
                                                        <div class="row list-separated profile-stat">
                                                            <div class="col-md-12 col-sm-12 col-xs-12">
                                                                <div class="uppercase profile-stat-title">
                                                                    {{ $driver->updated_at }}
                                                                </div>
                                                                <div class="uppercase profile-stat-text"> Last Edited on
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <ul class="list-group list-group-unbordered p-2">
                                                            <li class="list-group-item"> <b>Total </b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $driver_sum }}</div>
                                                            </li>
                                                            <li class="list-group-item"> <b>Paid </b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $payments_sum }}</div>
                                                            </li>
                                                            <li class="list-group-item"> <b>Outstanding</b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $driver_sum - $payments_sum }}</div>
                                                            </li>
                                                            <li class="list-group-item"> <b>Return</b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $histories_sub->sum('amount') }}</div>
                                                            </li>
                                                        </ul>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                                <div class="tab-pane " id="loan">
                                    <form class="form-horizontal" method="POST"
                                        action="{{ route('submitdriverpayment') }}" enctype="multipart/form-data">
                                        @csrf
                                        <input type="hidden" name="field" value="loans">
                                        <input type="hidden" name="driver_id" value="{{ $driver->id }}">
                                        <div class="form-group mb-0 row">
                                            <div class="col-md-8 float-start">
                                                <div class="form-group">
                                                    <label><strong>Loan</strong></label>
                                                    <input type="number" class="form-control" id=""
                                                        placeholder="enter value" name="values">
                                                </div>
                                                <div class="form-group">
                                                    <label for=""><strong>Reason</strong> (max 500
                                                        characters)</label>
                                                    <textarea name="reason" placeholder="Enter Loans Reason" class="form-control-textarea" rows="4"></textarea>
                                                </div>
                                                <div class="form-group">
                                                    <label class="mt-2"><strong>Attachments</strong></label>
                                                    <input type="file" class="form-control attachments" multiple
                                                        name="attachments[]">


                                                </div>
                                                <div class="form-group">
                                                    <div class="col-md-12">
                                                        <button type="submit" class="btn btn-info m-r-10">Submit</button>
                                                        <button type="button" class="btn btn-default">Cancel</button>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-4 float-start">
                                                <div class="card">
                                                    <div class="card-head">
                                                        <header>Current Stats</header>
                                                    </div>
                                                    <div class="card-body p-0 height-9">
                                                        <div class="row list-separated profile-stat">
                                                            <div class="col-md-12 col-sm-12 col-xs-12">
                                                                <div class="uppercase profile-stat-title">
                                                                    {{ $driver->updated_at }}
                                                                </div>
                                                                <div class="uppercase profile-stat-text"> Last Edited on
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <ul class="list-group list-group-unbordered p-2">
                                                            <li class="list-group-item"> <b>Total </b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $driver_sum }}</div>
                                                            </li>
                                                            <li class="list-group-item"> <b>Paid </b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $payments_sum }}</div>
                                                            </li>
                                                            <li class="list-group-item"> <b>Outstanding</b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $driver_sum - $payments_sum }}</div>
                                                            </li>
                                                            <li class="list-group-item"> <b>Return</b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $histories_sub->sum('amount') }}</div>
                                                            </li>
                                                        </ul>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                                <div class="tab-pane " id="offhire">
                                    <form class="form-horizontal" method="POST"
                                        action="{{ route('submitdriverpayment') }}" enctype="multipart/form-data">
                                        @csrf
                                        <input type="hidden" name="field" value="offhire">
                                        <input type="hidden" name="driver_id" value="{{ $driver->id }}">
                                        <div class="form-group mb-0 row">
                                            <div class="col-md-8 float-start">
                                                <div class="form-group">
                                                    <label><strong>Offhire Charges</strong></label>
                                                    <input type="number" class="form-control" id=""
                                                        placeholder="enter value" name="values">
                                                </div>
                                                <div class="form-group">
                                                    <label for=""><strong>Reason</strong> (max 500
                                                        characters)</label>
                                                    <textarea name="reason" placeholder="Enter Offhire Charges Reason" class="form-control-textarea" rows="4"></textarea>
                                                </div>
                                                <div class="form-group">
                                                    <label class="mt-2"><strong>Attachments</strong></label>
                                                    <input type="file" class="form-control attachments" multiple
                                                        name="attachments[]">


                                                </div>
                                                <div class="form-group">
                                                    <div class="col-md-12">
                                                        <button type="submit" class="btn btn-info m-r-10">Submit</button>
                                                        <button type="button" class="btn btn-default">Cancel</button>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-4 float-start">
                                                <div class="card">
                                                    <div class="card-head">
                                                        <header>Current Stats</header>
                                                    </div>
                                                    <div class="card-body p-0 height-9">
                                                        <div class="row list-separated profile-stat">
                                                            <div class="col-md-12 col-sm-12 col-xs-12">
                                                                <div class="uppercase profile-stat-title">
                                                                    {{ $driver->updated_at }}
                                                                </div>
                                                                <div class="uppercase profile-stat-text"> Last Edited on
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <ul class="list-group list-group-unbordered p-2">
                                                            <li class="list-group-item"> <b>Total </b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $driver_sum }}</div>
                                                            </li>
                                                            <li class="list-group-item"> <b>Paid </b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $payments_sum }}</div>
                                                            </li>
                                                            <li class="list-group-item"> <b>Outstanding</b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $driver_sum - $payments_sum }}</div>
                                                            </li>
                                                            <li class="list-group-item"> <b>Return</b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $histories_sub->sum('amount') }}</div>
                                                            </li>
                                                        </ul>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                                <div class="tab-pane " id="deficit">
                                    <form class="form-horizontal" method="POST"
                                        action="{{ route('submitdriverpayment') }}" enctype="multipart/form-data">
                                        @csrf
                                        <input type="hidden" name="field" value="week_deficit">
                                        <input type="hidden" name="driver_id" value="{{ $driver->id }}">
                                        <div class="form-group mb-0 row">
                                            <div class="col-md-8 float-start">
                                                <div class="form-group">
                                                    <label><strong>Week Deficit</strong></label>
                                                    <input type="number" class="form-control" id=""
                                                        placeholder="enter value" name="values">
                                                </div>
                                                <div class="form-group">
                                                    <label for=""><strong>Reason</strong> (max 500
                                                        characters)</label>
                                                    <textarea name="reason" placeholder="Enter Week Deficit Reason" class="form-control-textarea" rows="4"></textarea>
                                                </div>
                                                <div class="form-group">
                                                    <label class="mt-2"><strong>Attachments</strong></label>
                                                    <input type="file" class="form-control attachments" multiple
                                                        name="attachments[]">


                                                </div>
                                                <div class="form-group">
                                                    <div class="col-md-12">
                                                        <button type="submit" class="btn btn-info m-r-10">Submit</button>
                                                        <button type="button" class="btn btn-default">Cancel</button>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-4 float-start">
                                                <div class="card">
                                                    <div class="card-head">
                                                        <header>Current Stats</header>
                                                    </div>
                                                    <div class="card-body p-0 height-9">
                                                        <div class="row list-separated profile-stat">
                                                            <div class="col-md-12 col-sm-12 col-xs-12">
                                                                <div class="uppercase profile-stat-title">
                                                                    {{ $driver->updated_at }}
                                                                </div>
                                                                <div class="uppercase profile-stat-text"> Last Edited on
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <ul class="list-group list-group-unbordered p-2">
                                                            <li class="list-group-item"> <b>Total </b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $driver_sum }}</div>
                                                            </li>
                                                            <li class="list-group-item"> <b>Paid </b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $payments_sum }}</div>
                                                            </li>
                                                            <li class="list-group-item"> <b>Outstanding</b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $driver_sum - $payments_sum }}</div>
                                                            </li>
                                                            <li class="list-group-item"> <b>Return</b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $histories_sub->sum('amount') }}</div>
                                                            </li>
                                                        </ul>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </form>
                                </div>

                                <div class="tab-pane " id="exit">
                                    <form class="form-horizontal" method="POST"
                                        action="{{ route('submitdriverpayment') }}" enctype="multipart/form-data">
                                        @csrf
                                        <input type="hidden" name="field" value="old_exit">
                                        <input type="hidden" name="driver_id" value="{{ $driver->id }}">
                                        <div class="form-group mb-0 row">
                                            <div class="col-md-8 float-start">
                                                <div class="form-group">
                                                    <label><strong>Old Exit</strong></label>
                                                    <input type="number" class="form-control" id=""
                                                        placeholder="enter value" name="values">
                                                </div>
                                                <div class="form-group">
                                                    <label for=""><strong>Reason</strong> (max 500
                                                        characters)</label>
                                                    <textarea name="reason" placeholder="Enter Old Exit Reason" class="form-control-textarea" rows="4"></textarea>
                                                </div>
                                                <div class="form-group">
                                                    <label class="mt-2"><strong>Attachments</strong></label>
                                                    <input type="file" class="form-control attachments" multiple
                                                        name="attachments[]">


                                                </div>
                                                <div class="form-group">
                                                    <div class="col-md-12">
                                                        <button type="submit" class="btn btn-info m-r-10">Submit</button>
                                                        <button type="button" class="btn btn-default">Cancel</button>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-4 float-start">
                                                <div class="card">
                                                    <div class="card-head">
                                                        <header>Current Stats</header>
                                                    </div>
                                                    <div class="card-body p-0 height-9">
                                                        <div class="row list-separated profile-stat">
                                                            <div class="col-md-12 col-sm-12 col-xs-12">
                                                                <div class="uppercase profile-stat-title">
                                                                    {{ $driver->updated_at }}
                                                                </div>
                                                                <div class="uppercase profile-stat-text"> Last Edited on
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <ul class="list-group list-group-unbordered p-2">
                                                            <li class="list-group-item"> <b>Total </b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $driver_sum }}</div>
                                                            </li>
                                                            <li class="list-group-item"> <b>Paid </b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $payments_sum }}</div>
                                                            </li>
                                                            <li class="list-group-item"> <b>Outstanding</b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $driver_sum - $payments_sum }}</div>
                                                            </li>
                                                            <li class="list-group-item"> <b>Return</b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $histories_sub->sum('amount') }}</div>
                                                            </li>
                                                        </ul>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </form>
                                </div>


                                <div class="tab-pane " id="ins-excess">
                                    <form class="form-horizontal" method="POST"
                                        action="{{ route('submitdriverpayment') }}" enctype="multipart/form-data">
                                        @csrf
                                        <input type="hidden" name="field" value="insurance_excess">
                                        <input type="hidden" name="driver_id" value="{{ $driver->id }}">
                                        <div class="form-group mb-0 row">
                                            <div class="col-md-8 float-start">
                                                <div class="form-group">
                                                    <div class="col-md-5 margin-right-10">
                                                        <label><strong>Insurance Excess &nbsp; </strong></label>
                                                        <input type="number" class="form-control" id=""
                                                            placeholder="enter value" name="values">
                                                    </div>
                                                </div>
                                                <div class="form-group">
                                                    <label for="" class="mt-2"><strong>Reason</strong> (max 500
                                                        characters)</label>
                                                    <textarea name="reason" placeholder="Enter Insurance Excess Reason" class="form-control-textarea" rows="4"></textarea>
                                                </div>
                                                <div class="form-group">
                                                    <label class="mt-2"><strong>Attachments</strong></label>
                                                    <input type="file" class="form-control attachments" multiple
                                                        name="attachments[]">


                                                </div>
                                                <div class="form-group">
                                                    <div class="col-md-12">
                                                        <button type="submit" class="btn btn-info m-r-10">Submit</button>
                                                        <button type="button" class="btn btn-default">Cancel</button>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-4 float-start">
                                                <div class="card">
                                                    <div class="card-head">
                                                        <header>Current Stats</header>
                                                    </div>
                                                    <div class="card-body p-0 height-9">
                                                        <div class="row list-separated profile-stat">
                                                            <div class="col-md-12 col-sm-12 col-xs-12">
                                                                <div class="uppercase profile-stat-title">
                                                                    {{ $driver->updated_at }}
                                                                </div>
                                                                <div class="uppercase profile-stat-text"> Last Edited on
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <ul class="list-group list-group-unbordered p-2">
                                                            <li class="list-group-item"> <b>Total </b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $driver_sum }}</div>
                                                            </li>
                                                            <li class="list-group-item"> <b>Paid </b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $payments_sum }}</div>
                                                            </li>
                                                            <li class="list-group-item"> <b>Outstanding</b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $driver_sum - $payments_sum }}</div>
                                                            </li>
                                                            <li class="list-group-item"> <b>Return</b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $histories_sub->sum('amount') }}</div>
                                                            </li>
                                                        </ul>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!--<div class="modal-footer">
                                         <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                         <button type="button" class="btn btn-primary">Save</button>
                                        </div>-->
            </div>
        </div>
    </div>


    <div class="modal fade" id="largeModel_history" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
        aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title" id="exampleModalLabel">History</h4>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="panel tab-border">
                        <header class="panel-heading custom-tab ">
                            <ul class="nav nav-tabs mb-0">
                                <li class="nav-item"><a href="#deposit-h" data-bs-toggle="tab"
                                        class="active">Deposit</a> </li>
                                <li class="nav-item"><a href="#damage-h" data-bs-toggle="tab" class="">Damages</a>
                                </li>
                                <li class="nav-item"><a href="#fine-h" data-bs-toggle="tab" class="">Fines</a>
                                </li>
                                <li class="nav-item"><a href="#arc-h" data-bs-toggle="tab">ARC</a> </li>
                                <li class="nav-item"><a href="#loan-h" data-bs-toggle="tab">Loan</a> </li>
                                <li class="nav-item"><a href="#offhire-h" data-bs-toggle="tab">Offhire Charges</a> </li>
                                <li class="nav-item"><a href="#deficit-h" data-bs-toggle="tab">Week Deficit</a> </li>
                                <li class="nav-item"><a href="#exit-h" data-bs-toggle="tab">Old Exit</a> </li>
                                <li class="nav-item"><a href="#ins-excess-h" data-bs-toggle="tab">Insurance Excess</a>
                                </li>
                            </ul>
                        </header>
                        <div class="panel-body mt-0 pt-0">
                            <div class="tab-content">
                                <div class="tab-pane active" id="deposit-h">

                                    <div class="table-wrap ">
                                        <div class="table-responsive  history-table">
                                            <table class="table display product-overview mb-30 dataTable"
                                                style="background: #fff">
                                                <thead>
                                                    <tr>
                                                        <th>No</th>
                                                        <th width="15%">Date</th>

                                                        <th>Amount</th>
                                                        <th>Reason</th>
                                                        <th>Attachments</th>

                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    @foreach ($histories->where('type', 'deposits') as $history)
                                                        <tr>
                                                            <td>{{ $loop->iteration }}</td>
                                                            <td>{{ $history->created_at }}</td>

                                                            <td>£{{ $history->amount }}</td>

                                                            <td>{{ $history->reason }} </td>

                                                            <td>
                                                                @foreach($history->attachments as $att)
                                                                <div class="attachment-mail">
                                                                    <span><i class="fa fa-paperclip"></i></span>
                                                                    <a
                                                                        href="{{ Storage::url($att->file)}}">Download</a>

                                                                </div>
                                                                @endforeach
                                                            </td>

                                                        </tr>
                                                    @endforeach
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>

                                </div>
                                <div class="tab-pane" id="damage-h">

                                    <div class="table-wrap ">
                                        <div class="table-responsive  history-table">
                                            <table class="table display product-overview mb-30 dataTable"
                                                style="background: #fff">
                                                <thead>
                                                    <tr>
                                                        <th>No</th>
                                                        <th width="15%">Date</th>

                                                        <th>Amount</th>
                                                        <th>Reason</th>
                                                        <th>Attschments</th>

                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    @foreach ($histories->where('type', 'damages') as $history)
                                                        <tr>
                                                            <td>{{ $loop->iteration }}</td>
                                                            <td>{{ $history->created_at }}</td>

                                                            <td>£{{ $history->amount }}</td>

                                                            <td>{{ $history->reason }} </td>

                                                            <td>
                                                                @foreach($history->attachments as $att)
                                                                <div class="attachment-mail">
                                                                    <span><i class="fa fa-paperclip"></i></span>
                                                                    <a
                                                                        href="{{ Storage::url($att->file)}}">Download</a>

                                                                </div>
                                                                @endforeach
                                                            </td>

                                                        </tr>
                                                    @endforeach
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>

                                </div>
                                <div class="tab-pane" id="fine-h">
                                    <div class="table-wrap ">
                                        <div class="table-responsive  history-table">
                                            <table class="table display product-overview mb-30 dataTable"
                                                style="background: #fff">
                                                <thead>
                                                    <tr>
                                                        <th>No</th>
                                                        <th width="15%">Week & Date</th>

                                                        <th>Amount</th>
                                                        <th>Reason</th>
                                                        <th>Attschments</th>

                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    @foreach ($histories->where('type', 'fines') as $history)
                                                        <tr>
                                                            <td>{{ $loop->iteration }}</td>
                                                            <td>{{ $history->created_at }}</td>

                                                            <td>£{{ $history->amount }}</td>

                                                            <td>{{ $history->reason }} </td>

                                                            <td>
                                                                @foreach($history->attachments as $att)
                                                                <div class="attachment-mail">
                                                                    <span><i class="fa fa-paperclip"></i></span>
                                                                    <a
                                                                        href="{{ Storage::url($att->file)}}">Download</a>

                                                                </div>
                                                                @endforeach
                                                            </td>

                                                        </tr>
                                                    @endforeach
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                                <div class="tab-pane " id="arc-h">
                                    <div class="table-wrap ">
                                        <div class="table-responsive  history-table">
                                            <table class="table display product-overview mb-30 dataTable"
                                                style="background: #fff">
                                                <thead>
                                                    <tr>
                                                        <th>No</th>
                                                        <th width="15%">Week & Date</th>

                                                        <th>Amount</th>
                                                        <th>Reason</th>
                                                        <th>Attschments</th>

                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    @foreach ($histories->where('type', 'arc') as $history)
                                                        <tr>
                                                            <td>{{ $loop->iteration }}</td>
                                                            <td>{{ $history->created_at }}</td>

                                                            <td>£{{ $history->amount }}</td>

                                                            <td>{{ $history->reason }} </td>

                                                            <td>
                                                                @foreach($history->attachments as $att)
                                                                <div class="attachment-mail">
                                                                    <span><i class="fa fa-paperclip"></i></span>
                                                                    <a
                                                                        href="{{ Storage::url($att->file)}}">Download</a>

                                                                </div>
                                                                @endforeach
                                                            </td>

                                                        </tr>
                                                    @endforeach
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                                <div class="tab-pane " id="loan-h">
                                    <div class="table-wrap ">
                                        <div class="table-responsive  history-table">
                                            <table class="table display product-overview mb-30 dataTable"
                                                style="background: #fff">
                                                <thead>
                                                    <tr>
                                                        <th>No</th>
                                                        <th width="15%">Week & Date</th>

                                                        <th>Amount</th>
                                                        <th>Reason</th>
                                                        <th>Attschments</th>

                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    @foreach ($histories->where('type', 'loans') as $history)
                                                        <tr>
                                                            <td>{{ $loop->iteration }}</td>
                                                            <td>{{ $history->created_at }}</td>

                                                            <td>£{{ $history->amount }}</td>

                                                            <td>{{ $history->reason }} </td>

                                                            <td>
                                                                @foreach($history->attachments as $att)
                                                                <div class="attachment-mail">
                                                                    <span><i class="fa fa-paperclip"></i></span>
                                                                    <a
                                                                        href="{{ Storage::url($att->file)}}">Download</a>

                                                                </div>
                                                                @endforeach
                                                            </td>

                                                        </tr>
                                                    @endforeach
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                                <div class="tab-pane " id="offhire-h">
                                    <div class="table-wrap ">
                                        <div class="table-responsive  history-table">
                                            <table class="table display product-overview mb-30 dataTable"
                                                style="background: #fff">
                                                <thead>
                                                    <tr>
                                                        <th>No</th>
                                                        <th width="15%">Week & Date</th>

                                                        <th>Amount</th>
                                                        <th>Reason</th>
                                                        <th>Attschments</th>

                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    @foreach ($histories->where('type', 'offhire') as $history)
                                                        <tr>
                                                            <td>{{ $loop->iteration }}</td>
                                                            <td>{{ $history->created_at }}</td>

                                                            <td>£{{ $history->amount }}</td>

                                                            <td>{{ $history->reason }} </td>

                                                            <td>
                                                                @foreach($history->attachments as $att)
                                                                <div class="attachment-mail">
                                                                    <span><i class="fa fa-paperclip"></i></span>
                                                                    <a
                                                                        href="{{ Storage::url($att->file)}}">Download</a>

                                                                </div>
                                                                @endforeach
                                                            </td>

                                                        </tr>
                                                    @endforeach
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                                <div class="tab-pane " id="deficit-h">
                                    <div class="table-wrap ">
                                        <div class="table-responsive  history-table">
                                            <table class="table display product-overview mb-30 dataTable"
                                                style="background: #fff">
                                                <thead>
                                                    <tr>
                                                        <th>No</th>
                                                        <th width="15%">Week & Date</th>

                                                        <th>Amount</th>
                                                        <th>Reason</th>
                                                        <th>Attschments</th>

                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    @foreach ($histories->where('type', 'week_deficit') as $history)
                                                        <tr>
                                                            <td>{{ $loop->iteration }}</td>
                                                            <td>{{ $history->created_at }}</td>

                                                            <td>£{{ $history->amount }}</td>

                                                            <td>{{ $history->reason }} </td>

                                                            <td>
                                                                @foreach($history->attachments as $att)
                                                                <div class="attachment-mail">
                                                                    <span><i class="fa fa-paperclip"></i></span>
                                                                    <a
                                                                        href="{{ Storage::url($att->file)}}">Download</a>

                                                                </div>
                                                                @endforeach
                                                            </td>

                                                        </tr>
                                                    @endforeach
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>

                                <div class="tab-pane " id="exit-h">
                                    <div class="table-wrap ">
                                        <div class="table-responsive  history-table">
                                            <table class="table display product-overview mb-30 dataTable"
                                                style="background: #fff">
                                                <thead>
                                                    <tr>
                                                        <th>No</th>
                                                        <th width="15%">Week & Date</th>

                                                        <th>Amount</th>
                                                        <th>Reason</th>
                                                        <th>Attschments</th>

                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    @foreach ($histories->where('type', 'old_exit') as $history)
                                                        <tr>
                                                            <td>{{ $loop->iteration }}</td>
                                                            <td>{{ $history->created_at }}</td>

                                                            <td>£{{ $history->amount }}</td>

                                                            <td>{{ $history->reason }} </td>

                                                            <td>
                                                                @foreach($history->attachments as $att)
                                                                <div class="attachment-mail">
                                                                    <span><i class="fa fa-paperclip"></i></span>
                                                                    <a
                                                                        href="{{ Storage::url($att->file)}}">Download</a>

                                                                </div>
                                                                @endforeach
                                                            </td>

                                                        </tr>
                                                    @endforeach
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>


                                <div class="tab-pane " id="ins-excess-h">
                                    <div class="table-wrap ">
                                        <div class="table-responsive  history-table">
                                            <table class="table display product-overview mb-30 dataTable"
                                                style="background: #fff">
                                                <thead>
                                                    <tr>
                                                        <th>No</th>
                                                        <th width="15%">Week & Date</th>

                                                        <th>Amount</th>
                                                        <th>Reason</th>
                                                        <th>Attschments</th>

                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    @foreach ($histories->where('type', 'insurance_excess') as $history)
                                                        <tr>
                                                            <td>{{ $loop->iteration }}</td>
                                                            <td>{{ $history->created_at }}</td>

                                                            <td>£{{ $history->amount }}</td>

                                                            <td>{{ $history->reason }} </td>

                                                            <td>
                                                                @foreach($history->attachments as $att)
                                                                <div class="attachment-mail">
                                                                    <span><i class="fa fa-paperclip"></i></span>
                                                                    <a
                                                                        href="{{ Storage::url($att->file)}}">Download</a>

                                                                </div>
                                                                @endforeach
                                                            </td>

                                                        </tr>
                                                    @endforeach
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!--<div class="modal-footer">
                                         <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                         <button type="button" class="btn btn-primary">Save</button>
                                        </div>-->
            </div>
        </div>
    </div>



    <div class="modal fade" id="largeModel_return" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
        aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title" id="exampleModalLabel_return">Add Values</h4>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="panel tab-border">
                        <header class="panel-heading custom-tab ">
                            <ul class="nav nav-tabs mb-0">
                                <li class="nav-item"><a href="#deposit-a" data-bs-toggle="tab"
                                        class="active">Deposit</a> </li>
                                <li class="nav-item"><a href="#damage-a" data-bs-toggle="tab" class="">Damages</a>
                                </li>
                                <li class="nav-item"><a href="#fine-a" data-bs-toggle="tab" class="">Fines</a>
                                </li>
                                <li class="nav-item"><a href="#arc-a" data-bs-toggle="tab">ARC</a> </li>
                                <li class="nav-item"><a href="#loan-a" data-bs-toggle="tab">Loan</a> </li>
                                <li class="nav-item"><a href="#offhire-a" data-bs-toggle="tab">Offhire Charges</a>
                                </li>
                                <li class="nav-item"><a href="#deficit-a" data-bs-toggle="tab">Week Deficit</a> </li>
                                <li class="nav-item"><a href="#exit-a" data-bs-toggle="tab">Owed Exit</a> </li>
                                <li class="nav-item"><a href="#ins-excess-a" data-bs-toggle="tab">Insurance Excess</a>
                                </li>


                            </ul>
                        </header>

                        <div class="panel-body mt-0 pt-0">
                            <div class="tab-content">
                                <div class="tab-pane active" id="deposit-a">

                                    <form class="form-horizontal" method="POST"
                                        action="{{ route('submitdriverpaymentrefund') }}" enctype="multipart/form-data">
                                        @csrf
                                        <input type="hidden" name="field" value="deposits">
                                        <input type="hidden" name="driver_id" value="{{ $driver->id }}">
                                        <div class="form-group mb-0 row">
                                            <div class="col-md-8 float-start">
                                                <div class="form-group">
                                                    <label><strong>Deposit</strong></label>
                                                    <input type="number" class="form-control" id=""
                                                        placeholder="enter value" name="values">
                                                </div>
                                                <div class="form-group">
                                                    <label for=""><strong>Reason</strong> (max 500
                                                        characters)</label>
                                                    <textarea name="reason" placeholder="Enter Deposit Reason" class="form-control-textarea" rows="4"></textarea>
                                                </div>
                                                <div class="form-group">
                                                    <label class="mt-2"><strong>Attachments</strong></label>
                                                    <input type="file" class="form-control attachments" multiple
                                                        name="attachments[]">


                                                </div>
                                                <div class="form-group">
                                                    <div class="col-md-12">
                                                        <button type="submit"
                                                            class="btn btn-info m-r-10">Submit</button>
                                                        <button type="button" class="btn btn-default">Cancel</button>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-4 float-start">
                                                <div class="card">
                                                    <div class="card-head">
                                                        <header>Current Stats</header>
                                                    </div>
                                                    <div class="card-body p-0 height-9">
                                                        <div class="row list-separated profile-stat">
                                                            <div class="col-md-12 col-sm-12 col-xs-12">
                                                                <div class="uppercase profile-stat-title">
                                                                    {{ $driver->updated_at }}
                                                                </div>
                                                                <div class="uppercase profile-stat-text"> Last Edited on
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <ul class="list-group list-group-unbordered p-2">
                                                            <li class="list-group-item"> <b>Total </b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $driver_sum }}</div>
                                                            </li>
                                                            <li class="list-group-item"> <b>Paid </b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $payments_sum }}</div>
                                                            </li>
                                                            <li class="list-group-item"> <b>Outstanding</b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $driver_sum - $payments_sum }}</div>
                                                            </li>
                                                            <li class="list-group-item"> <b>Return</b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $histories_sub->sum('amount') }}</div>
                                                            </li>
                                                        </ul>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </form>

                                </div>
                                <div class="tab-pane" id="damage-a">

                                    <form class="form-horizontal" method="POST"
                                        action="{{ route('submitdriverpaymentrefund') }}"
                                        enctype="multipart/form-data">
                                        @csrf
                                        <input type="hidden" name="field" value="damages">
                                        <input type="hidden" name="driver_id" value="{{ $driver->id }}">
                                        <div class="form-group mb-0 row">
                                            <div class="col-md-8 float-start">
                                                <div class="form-group">
                                                    <label><strong>Damages</strong></label>
                                                    <input type="number" class="form-control" id=""
                                                        placeholder="enter value" name="values">
                                                </div>
                                                <div class="form-group">
                                                    <label for=""><strong>Reason</strong> (max 500
                                                        characters)</label>
                                                    <textarea name="reason" placeholder="Enter Damages Reason" class="form-control-textarea" rows="4"></textarea>
                                                </div>
                                                <div class="form-group">
                                                    <label class="mt-2"><strong>Attachments</strong></label>
                                                    <input type="file" class="form-control attachments" multiple
                                                        name="attachments[]">


                                                </div>
                                                <div class="form-group">
                                                    <div class="col-md-12">
                                                        <button type="submit"
                                                            class="btn btn-info m-r-10">Submit</button>
                                                        <button type="button" class="btn btn-default">Cancel</button>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-4 float-start">
                                                <div class="card">
                                                    <div class="card-head">
                                                        <header>Current Stats</header>
                                                    </div>
                                                    <div class="card-body p-0 height-9">
                                                        <div class="row list-separated profile-stat">
                                                            <div class="col-md-12 col-sm-12 col-xs-12">
                                                                <div class="uppercase profile-stat-title">
                                                                    {{ $driver->updated_at }}
                                                                </div>
                                                                <div class="uppercase profile-stat-text"> Last Edited on
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <ul class="list-group list-group-unbordered p-2">
                                                            <li class="list-group-item"> <b>Total </b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $driver_sum }}</div>
                                                            </li>
                                                            <li class="list-group-item"> <b>Paid </b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $payments_sum }}</div>
                                                            </li>
                                                            <li class="list-group-item"> <b>Outstanding</b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $driver_sum - $payments_sum }}</div>
                                                            </li>
                                                            <li class="list-group-item"> <b>Return</b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $histories_sub->sum('amount') }}</div>
                                                            </li>
                                                        </ul>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </form>

                                </div>
                                <div class="tab-pane" id="fine-a">
                                    <form class="form-horizontal" method="POST"
                                        action="{{ route('submitdriverpaymentrefund') }}"
                                        enctype="multipart/form-data">
                                        @csrf
                                        <input type="hidden" name="field" value="fines">
                                        <input type="hidden" name="driver_id" value="{{ $driver->id }}">
                                        <div class="form-group mb-0 row">
                                            <div class="col-md-8 float-start">
                                                <div class="form-group">
                                                    <label><strong>Fines</strong></label>
                                                    <input type="number" class="form-control" id=""
                                                        placeholder="enter value" name="values">
                                                </div>
                                                <div class="form-group">
                                                    <label for=""><strong>Reason</strong> (max 500
                                                        characters)</label>
                                                    <textarea name="reason" placeholder="Enter Fines Reason" class="form-control-textarea" rows="4"></textarea>
                                                </div>
                                                <div class="form-group">
                                                    <label class="mt-2"><strong>Attachments</strong></label>
                                                    <input type="file" class="form-control attachments" multiple
                                                        name="attachments[]">


                                                </div>
                                                <div class="form-group">
                                                    <div class="col-md-12">
                                                        <button type="submit"
                                                            class="btn btn-info m-r-10">Submit</button>
                                                        <button type="button" class="btn btn-default">Cancel</button>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-4 float-start">
                                                <div class="card">
                                                    <div class="card-head">
                                                        <header>Current Stats</header>
                                                    </div>
                                                    <div class="card-body p-0 height-9">
                                                        <div class="row list-separated profile-stat">
                                                            <div class="col-md-12 col-sm-12 col-xs-12">
                                                                <div class="uppercase profile-stat-title">
                                                                    {{ $driver->updated_at }}
                                                                </div>
                                                                <div class="uppercase profile-stat-text"> Last Edited on
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <ul class="list-group list-group-unbordered p-2">
                                                            <li class="list-group-item"> <b>Total </b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $driver_sum }}</div>
                                                            </li>
                                                            <li class="list-group-item"> <b>Paid </b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $payments_sum }}</div>
                                                            </li>
                                                            <li class="list-group-item"> <b>Outstanding</b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $driver_sum - $payments_sum }}</div>
                                                            </li>
                                                            <li class="list-group-item"> <b>Return</b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $histories_sub->sum('amount') }}</div>
                                                            </li>
                                                        </ul>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                                <div class="tab-pane " id="arc-a">
                                    <form class="form-horizontal" method="POST"
                                        action="{{ route('submitdriverpaymentrefund') }}"
                                        enctype="multipart/form-data">
                                        @csrf
                                        <input type="hidden" name="field" value="arc">
                                        <input type="hidden" name="driver_id" value="{{ $driver->id }}">
                                        <div class="form-group mb-0 row">
                                            <div class="col-md-8 float-start">
                                                <div class="form-group">
                                                    <label><strong>Arc</strong></label>
                                                    <input type="number" class="form-control" id=""
                                                        placeholder="enter value" name="values">
                                                </div>
                                                <div class="form-group">
                                                    <label for=""><strong>Reason</strong> (max 500
                                                        characters)</label>
                                                    <textarea name="reason" placeholder="Enter Arc Reason" class="form-control-textarea" rows="4"></textarea>
                                                </div>
                                                <div class="form-group">
                                                    <label class="mt-2"><strong>Attachments</strong></label>
                                                    <input type="file" class="form-control attachments" multiple
                                                        name="attachments[]">


                                                </div>
                                                <div class="form-group">
                                                    <div class="col-md-12">
                                                        <button type="submit"
                                                            class="btn btn-info m-r-10">Submit</button>
                                                        <button type="button" class="btn btn-default">Cancel</button>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-4 float-start">
                                                <div class="card">
                                                    <div class="card-head">
                                                        <header>Current Stats</header>
                                                    </div>
                                                    <div class="card-body p-0 height-9">
                                                        <div class="row list-separated profile-stat">
                                                            <div class="col-md-12 col-sm-12 col-xs-12">
                                                                <div class="uppercase profile-stat-title">
                                                                    {{ $driver->updated_at }}
                                                                </div>
                                                                <div class="uppercase profile-stat-text"> Last Edited on
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <ul class="list-group list-group-unbordered p-2">
                                                            <li class="list-group-item"> <b>Total </b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $driver_sum }}</div>
                                                            </li>
                                                            <li class="list-group-item"> <b>Paid </b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $payments_sum }}</div>
                                                            </li>
                                                            <li class="list-group-item"> <b>Outstanding</b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $driver_sum - $payments_sum }}</div>
                                                            </li>
                                                            <li class="list-group-item"> <b>Return</b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $histories_sub->sum('amount') }}</div>
                                                            </li>
                                                        </ul>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                                <div class="tab-pane " id="loan-a">
                                    <form class="form-horizontal" method="POST"
                                        action="{{ route('submitdriverpaymentrefund') }}"
                                        enctype="multipart/form-data">
                                        @csrf
                                        <input type="hidden" name="field" value="loans">
                                        <input type="hidden" name="driver_id" value="{{ $driver->id }}">
                                        <div class="form-group mb-0 row">
                                            <div class="col-md-8 float-start">
                                                <div class="form-group">
                                                    <label><strong>Loan</strong></label>
                                                    <input type="number" class="form-control" id=""
                                                        placeholder="enter value" name="values">
                                                </div>
                                                <div class="form-group">
                                                    <label for=""><strong>Reason</strong> (max 500
                                                        characters)</label>
                                                    <textarea name="reason" placeholder="Enter Loans Reason" class="form-control-textarea" rows="4"></textarea>
                                                </div>
                                                <div class="form-group">
                                                    <label class="mt-2"><strong>Attachments</strong></label>
                                                    <input type="file" class="form-control attachments" multiple
                                                        name="attachments[]">


                                                </div>
                                                <div class="form-group">
                                                    <div class="col-md-12">
                                                        <button type="submit"
                                                            class="btn btn-info m-r-10">Submit</button>
                                                        <button type="button" class="btn btn-default">Cancel</button>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-4 float-start">
                                                <div class="card">
                                                    <div class="card-head">
                                                        <header>Current Stats</header>
                                                    </div>
                                                    <div class="card-body p-0 height-9">
                                                        <div class="row list-separated profile-stat">
                                                            <div class="col-md-12 col-sm-12 col-xs-12">
                                                                <div class="uppercase profile-stat-title">
                                                                    {{ $driver->updated_at }}
                                                                </div>
                                                                <div class="uppercase profile-stat-text"> Last Edited on
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <ul class="list-group list-group-unbordered p-2">
                                                            <li class="list-group-item"> <b>Total </b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $driver_sum }}</div>
                                                            </li>
                                                            <li class="list-group-item"> <b>Paid </b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $payments_sum }}</div>
                                                            </li>
                                                            <li class="list-group-item"> <b>Outstanding</b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $driver_sum - $payments_sum }}</div>
                                                            </li>
                                                            <li class="list-group-item"> <b>Return</b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $histories_sub->sum('amount') }}</div>
                                                            </li>
                                                        </ul>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                                <div class="tab-pane " id="offhire-a">
                                    <form class="form-horizontal" method="POST"
                                        action="{{ route('submitdriverpaymentrefund') }}"
                                        enctype="multipart/form-data">
                                        @csrf
                                        <input type="hidden" name="field" value="offhire">
                                        <input type="hidden" name="driver_id" value="{{ $driver->id }}">
                                        <div class="form-group mb-0 row">
                                            <div class="col-md-8 float-start">
                                                <div class="form-group">
                                                    <label><strong>Offhire Charges</strong></label>
                                                    <input type="number" class="form-control" id=""
                                                        placeholder="enter value" name="values">
                                                </div>
                                                <div class="form-group">
                                                    <label for=""><strong>Reason</strong> (max 500
                                                        characters)</label>
                                                    <textarea name="reason" placeholder="Enter Offhire Charges Reason" class="form-control-textarea"
                                                        rows="4"></textarea>
                                                </div>
                                                <div class="form-group">
                                                    <label class="mt-2"><strong>Attachments</strong></label>
                                                    <input type="file" class="form-control attachments" multiple
                                                        name="attachments[]">


                                                </div>
                                                <div class="form-group">
                                                    <div class="col-md-12">
                                                        <button type="submit"
                                                            class="btn btn-info m-r-10">Submit</button>
                                                        <button type="button" class="btn btn-default">Cancel</button>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-4 float-start">
                                                <div class="card">
                                                    <div class="card-head">
                                                        <header>Current Stats</header>
                                                    </div>
                                                    <div class="card-body p-0 height-9">
                                                        <div class="row list-separated profile-stat">
                                                            <div class="col-md-12 col-sm-12 col-xs-12">
                                                                <div class="uppercase profile-stat-title">
                                                                    {{ $driver->updated_at }}
                                                                </div>
                                                                <div class="uppercase profile-stat-text"> Last Edited on
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <ul class="list-group list-group-unbordered p-2">
                                                            <li class="list-group-item"> <b>Total </b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $driver_sum }}</div>
                                                            </li>
                                                            <li class="list-group-item"> <b>Paid </b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $payments_sum }}</div>
                                                            </li>
                                                            <li class="list-group-item"> <b>Outstanding</b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $driver_sum - $payments_sum }}</div>
                                                            </li>
                                                            <li class="list-group-item"> <b>Return</b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $histories_sub->sum('amount') }}</div>
                                                            </li>
                                                        </ul>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                                <div class="tab-pane " id="deficit-a">
                                    <form class="form-horizontal" method="POST"
                                        action="{{ route('submitdriverpaymentrefund') }}"
                                        enctype="multipart/form-data">
                                        @csrf
                                        <input type="hidden" name="field" value="week_deficit">
                                        <input type="hidden" name="driver_id" value="{{ $driver->id }}">
                                        <div class="form-group mb-0 row">
                                            <div class="col-md-8 float-start">
                                                <div class="form-group">
                                                    <label><strong>Week Deficit</strong></label>
                                                    <input type="number" class="form-control" id=""
                                                        placeholder="enter value" name="values">
                                                </div>
                                                <div class="form-group">
                                                    <label for=""><strong>Reason</strong> (max 500
                                                        characters)</label>
                                                    <textarea name="reason" placeholder="Enter Week Deficit Reason" class="form-control-textarea" rows="4"></textarea>
                                                </div>
                                                <div class="form-group">
                                                    <label class="mt-2"><strong>Attachments</strong></label>
                                                    <input type="file" class="form-control attachments" multiple
                                                        name="attachments[]">


                                                </div>
                                                <div class="form-group">
                                                    <div class="col-md-12">
                                                        <button type="submit"
                                                            class="btn btn-info m-r-10">Submit</button>
                                                        <button type="button" class="btn btn-default">Cancel</button>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-4 float-start">
                                                <div class="card">
                                                    <div class="card-head">
                                                        <header>Current Stats</header>
                                                    </div>
                                                    <div class="card-body p-0 height-9">
                                                        <div class="row list-separated profile-stat">
                                                            <div class="col-md-12 col-sm-12 col-xs-12">
                                                                <div class="uppercase profile-stat-title">
                                                                    {{ $driver->updated_at }}
                                                                </div>
                                                                <div class="uppercase profile-stat-text"> Last Edited on
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <ul class="list-group list-group-unbordered p-2">
                                                            <li class="list-group-item"> <b>Total </b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $driver_sum }}</div>
                                                            </li>
                                                            <li class="list-group-item"> <b>Paid </b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $payments_sum }}</div>
                                                            </li>
                                                            <li class="list-group-item"> <b>Outstanding</b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $driver_sum - $payments_sum }}</div>
                                                            </li>
                                                            <li class="list-group-item"> <b>Return</b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $histories_sub->sum('amount') }}</div>
                                                            </li>
                                                        </ul>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </form>
                                </div>

                                <div class="tab-pane " id="exit-a">
                                    <form class="form-horizontal" method="POST"
                                        action="{{ route('submitdriverpaymentrefund') }}"
                                        enctype="multipart/form-data">
                                        @csrf
                                        <input type="hidden" name="field" value="old_exit">
                                        <input type="hidden" name="driver_id" value="{{ $driver->id }}">
                                        <div class="form-group mb-0 row">
                                            <div class="col-md-8 float-start">
                                                <div class="form-group">
                                                    <label><strong>Old Exit</strong></label>
                                                    <input type="number" class="form-control" id=""
                                                        placeholder="enter value" name="values">
                                                </div>
                                                <div class="form-group">
                                                    <label for=""><strong>Reason</strong> (max 500
                                                        characters)</label>
                                                    <textarea name="reason" placeholder="Enter Old Exit Reason" class="form-control-textarea" rows="4"></textarea>
                                                </div>
                                                <div class="form-group">
                                                    <label class="mt-2"><strong>Attachments</strong></label>
                                                    <input type="file" class="form-control attachments" multiple
                                                        name="attachments[]">


                                                </div>
                                                <div class="form-group">
                                                    <div class="col-md-12">
                                                        <button type="submit"
                                                            class="btn btn-info m-r-10">Submit</button>
                                                        <button type="button" class="btn btn-default">Cancel</button>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-4 float-start">
                                                <div class="card">
                                                    <div class="card-head">
                                                        <header>Current Stats</header>
                                                    </div>
                                                    <div class="card-body p-0 height-9">
                                                        <div class="row list-separated profile-stat">
                                                            <div class="col-md-12 col-sm-12 col-xs-12">
                                                                <div class="uppercase profile-stat-title">
                                                                    {{ $driver->updated_at }}
                                                                </div>
                                                                <div class="uppercase profile-stat-text"> Last Edited on
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <ul class="list-group list-group-unbordered p-2">
                                                            <li class="list-group-item"> <b>Total </b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $driver_sum }}</div>
                                                            </li>
                                                            <li class="list-group-item"> <b>Paid </b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $payments_sum }}</div>
                                                            </li>
                                                            <li class="list-group-item"> <b>Outstanding</b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $driver_sum - $payments_sum }}</div>
                                                            </li>
                                                            <li class="list-group-item"> <b>Return</b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $histories_sub->sum('amount') }}</div>
                                                            </li>
                                                        </ul>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </form>
                                </div>


                                <div class="tab-pane " id="ins-excess-a">
                                    <form class="form-horizontal" method="POST"
                                        action="{{ route('submitdriverpaymentrefund') }}"
                                        enctype="multipart/form-data">
                                        @csrf
                                        <input type="hidden" name="field" value="insurance_excess">
                                        <input type="hidden" name="driver_id" value="{{ $driver->id }}">
                                        <div class="form-group mb-0 row">
                                            <div class="col-md-8 float-start">
                                                <div class="form-group">
                                                    <div class="col-md-5 margin-right-10">
                                                        <label><strong>Insurance Excess &nbsp; </strong></label>
                                                        <input type="number" class="form-control" id=""
                                                            placeholder="enter value" name="values">
                                                    </div>




                                                </div>
                                                <div class="form-group">
                                                    <label for="" class="mt-2"><strong>Reason</strong>
                                                        (max 500
                                                        characters)</label>
                                                    <textarea name="reason" placeholder="Enter Insurance Excess Reason" class="form-control-textarea"
                                                        rows="4"></textarea>
                                                </div>
                                                <div class="form-group">
                                                    <label class="mt-2"><strong>Attachments</strong></label>
                                                    <input type="file" class="form-control attachments" multiple
                                                        name="attachments[]">


                                                </div>
                                                <div class="form-group">
                                                    <div class="col-md-12">
                                                        <button type="submit"
                                                            class="btn btn-info m-r-10">Submit</button>
                                                        <button type="button" class="btn btn-default">Cancel</button>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-4 float-start">
                                                <div class="card">
                                                    <div class="card-head">
                                                        <header>Current Stats</header>
                                                    </div>
                                                    <div class="card-body p-0 height-9">
                                                        <div class="row list-separated profile-stat">
                                                            <div class="col-md-12 col-sm-12 col-xs-12">
                                                                <div class="uppercase profile-stat-title">
                                                                    {{ $driver->updated_at }}
                                                                </div>
                                                                <div class="uppercase profile-stat-text"> Last Edited on
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <ul class="list-group list-group-unbordered p-2">
                                                            <li class="list-group-item"> <b>Total </b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $driver_sum }}</div>
                                                            </li>
                                                            <li class="list-group-item"> <b>Paid </b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $payments_sum }}</div>
                                                            </li>
                                                            <li class="list-group-item"> <b>Outstanding</b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $driver_sum - $payments_sum }}</div>
                                                            </li>
                                                            <li class="list-group-item"> <b>Return</b>
                                                                <div class="profile-desc-item pull-right">
                                                                    &pound;{{ $histories_sub->sum('amount') }}</div>
                                                            </li>
                                                        </ul>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!--<div class="modal-footer">
                     <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                     <button type="button" class="btn btn-primary">Save</button>
                    </div>-->
            </div>
        </div>
    </div>
@endsection
@section('scripts')
    <script>
        $(document).ready(function() {
            $('#tableGroupexp').DataTable({
                // "paging": false,
                "sort": false,
            });
        });
    </script>
@endsection
