<!doctype html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">

<head>
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta content="width=device-width, initial-scale=1" name="viewport" />
    <meta name="description" content="Flashline Logistics LTD" />
    <meta name="author" content="Flashline Logistics LTD" />
    <title>Flashline Logistics LTD</title>
    <!-- google font -->
    <link href="https://fonts.googleapis.com/css?family=Poppins:300,400,500,600,700" rel="stylesheet" type="text/css" />
    <!-- icons -->
    <link href="{{ asset('assets/assets/bundles/simple-line-icons/simple-line-icons.min.css') }}" rel="stylesheet"
        type="text/css" />
    <link href="{{ asset('assets/css/font-awesome.min.css') }}" rel="stylesheet" type="text/css" />
    <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
    <!--bootstrap -->
    <link href="{{ asset('assets/assets/bundles/bootstrap/css/bootstrap.min.css') }}" rel="stylesheet"
        type="text/css" />
    <link rel="stylesheet" href="{{ asset('assets/assets/bundles/flatpicker/css/flatpickr.min.css') }}" />
    <!-- Material Design Lite CSS -->
    <link rel="stylesheet" href="{{ asset('assets/assets/bundles/material/material.min.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/css/material_style.css') }}">
    <!-- Theme Styles -->
    <link href="{{ asset('assets/css/theme_style.css') }}" rel="stylesheet" id="rt_style_components" type="text/css" />
    <link href="{{ asset('assets/css/style.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('assets/css/plugins.min.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('assets/css/formlayout.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('assets/css/responsive.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('assets/css/theme-color.css') }}" rel="stylesheet" type="text/css" />
    <!-- favicon -->
    <link rel="shortcut icon" href="{{ asset('assets/img/favicon.png') }}" />

    <link rel="stylesheet" href="https://cdn.datatables.net/2.1.8/css/dataTables.dataTables.css" />

    @yield('styles')
</head>



<body
    class="page-header-fixed sidemenu-closed-hidelogo page-content-white page-md cyan-sidebar-color header-cyan logo-white">
    <div class="page-wrapper">
        <!-- start header -->
        <div class="page-header navbar navbar-fixed-top">
            <div class="page-header-inner ">
                <!-- logo start -->
                <div class="page-logo"> <a href="index.html">
                        <span class="logo-icon"><img src="img/logo1.png" alt="" title="" /></span>
                        <span class="logo-default mt-3"><img src="{{ asset('assets/img/logo2.png') }}" alt=""
                                title="" /></span>
                    </a> </div>
                <!-- logo end -->
                <ul class="nav navbar-nav navbar-left in">
                    <li><a href="#" class="menu-toggler sidebar-toggler"><i class="icon-menu"></i></a></li>
                </ul>

                <!-- start mobile menu -->
                <a class="menu-toggler responsive-toggler" data-bs-toggle="collapse" data-bs-target=".navbar-collapse">
                    <span></span> </a>
                <!-- end mobile menu -->
                <!-- start header menu -->
                <div class="top-menu">
                    <ul class="nav navbar-nav pull-right">

                        <!-- start manage user dropdown -->
                        <li class="dropdown dropdown-user"> <a class="dropdown-toggle" data-bs-toggle="dropdown"
                                data-hover="dropdown" data-close-others="true"> <img alt="" class="img-circle "
                                    src="img/dp.jpg" /> <span class="username username-hide-on-mobile"> Welcome Admin
                                </span> <i class="fa fa-angle-down"></i> </a>
                            <ul class="dropdown-menu dropdown-menu-default">
                                <li> <a href="user_profile.html"> <i class="icon-user"></i> Profile </a> </li>
                                <li>
                                    <form id="logout-form" action="{{ route('logout') }}" method="POST"
                                        style="display: inline;">
                                        @csrf
                                        <button type="submit">
                                            <i class="icon-logout"></i> Logout
                                        </button>
                                    </form>
                            </ul>
                        </li>
                        <!-- end manage user dropdown -->

                    </ul>
                </div>
            </div>
        </div>
        <!-- end header -->

        <!-- start page container -->
        <div class="page-container">
            <!-- start sidebar menu -->
            <div class="sidebar-container">
                <div class="sidemenu-container navbar-collapse collapse fixed-menu">
                    <div id="remove-scroll" class="left-sidemenu">
                        <ul class="sidemenu  page-header-fixed slimscroll-style" data-keep-expanded="false"
                            data-auto-scroll="true" data-slide-speed="200" style="padding-top: 20px">
                            <li class="sidebar-toggler-wrapper hide">
                                <div class="sidebar-toggler"> <span></span> </div>
                            </li>
                            <li class="nav-item start active "> <a href="{{ route('home') }}"
                                    class="nav-link nav-toggle"> <i class="material-icons">dashboard</i> <span
                                        class="title">Dashboard</span>
                                </a> </li>

                            <li class="nav-item start "> <a href="{{ route('driver_list') }}"
                                    class="nav-link nav-toggle"> <i class="material-icons">list</i> <span
                                        class="title">Drivers Listing</span>
                                </a> </li>

                            <li class="nav-item start "> <a href="{{ route('add_driver') }}"
                                    class="nav-link nav-toggle"> <i class="material-icons">add</i> <span
                                        class="title">Add Drivers</span> </a>
                            </li>





                            <li class="nav-item"> <a href="#" class="nav-link nav-toggle"> <i
                                        class="material-icons">settings</i> <span class="title">Settings</span> <span
                                        class="arrow"></span> </a>
                                <ul class="sub-menu">
                                    <li class="nav-item"> <a href="Roles.html" class="nav-link "> <span
                                                class="title">Roles</span> </a> </li>
                                    <li class="nav-item"> <a href="permissions.html" class="nav-link "> <span
                                                class="title">Permissions</span> </a> </li>

                                </ul>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
            @yield('content')

        </div>
        <!-- end page container -->
        <!-- start footer -->
        <div class="page-footer">
            <div class="page-footer-inner"> 2024 &copy; flashline Logistics LTD </div>
            <div class="scroll-to-top"> <i class="icon-arrow-up"></i> </div>
        </div>
    </div>
</body>



<script src="{{ asset('assets/assets/bundles/jquery/jquery.min.js') }}"></script>
<script src="{{ asset('assets/assets/bundles/popper/popper.js') }}"></script>
<script src="{{ asset('assets/assets/bundles/jquery-blockUI/jquery.blockui.min.js') }}"></script>
<script src="{{ asset('assets/assets/bundles/jquery.slimscroll/jquery.slimscroll.js') }}"></script>
<script src="{{ asset('assets/assets/bundles/jquery-validation/js/jquery.validate.min.js') }}"></script>
<script src="{{ asset('assets/assets/bundles/jquery-validation/js/additional-methods.min.js') }}"></script>
<!-- bootstrap -->
<script src="{{ asset('assets/assets/bundles/bootstrap/js/bootstrap.min.js') }}"></script>
<script src="{{ asset('assets/assets/bundles/bootstrap-switch/js/bootstrap-switch.min.js') }}"></script>
<script src="{{ asset('assets/assets/bundles/flatpicker/js/flatpicker.min.js') }}"></script>
<script src="{{ asset('assets/assets/data/date-time.init.js') }}"></script>
<!-- Common js-->
<script src="{{ asset('assets/assets/app.js') }}"></script>
<script src="{{ asset('assets/assets/data/form-validation.js') }}"></script>
<script src="{{ asset('assets/assets/layout.js') }}"></script>
<script src="{{ asset('assets/assets/theme-color.js') }}"></script>
<!-- Material -->
<script src="{{ asset('assets/assets/bundles/material/material.min.js') }}"></script>

<script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>

@if (Session::has('success'))
    <script>
        const Toast = Swal.mixin({
            toast: true,
            position: "top-end",
            showConfirmButton: false,
            timer: 3000,
            timerProgressBar: true,
            didOpen: (toast) => {
                toast.onmouseenter = Swal.stopTimer;
                toast.onmouseleave = Swal.resumeTimer;
            }
        });
        Toast.fire({
            icon: "success",
            title: "{{ Session::get('success') }}"
        });
    </script>
@endif

<script src="https://cdn.datatables.net/2.1.8/js/dataTables.js"></script>
@yield('scripts')


</html>
